// kitmap/km_vand.js
// (C) 2001-2006 Henri Mdot
// dernire rvision le 14.12.2006

KM_HOST = '/kitmap';
KM_MAP_WIDTH = 700;
KM_MAP_HEIGHT = 530;
KM_FRONT_URL = KM_HOST + '/km_vand.html';
KM_FRONT_MOVIE_NAME = 'km_vand.swf';
KM_FRONT_MOVIE_WIDTH = KM_MAP_WIDTH;
KM_FRONT_MOVIE_HEIGHT = KM_MAP_HEIGHT + 70;
KM_FRONT_WIDTH = KM_FRONT_MOVIE_WIDTH;
KM_FRONT_HEIGHT = KM_FRONT_MOVIE_HEIGHT;
Kitmap.win = null;
new Kitmap();

function Kitmap() {}

Kitmap.closeWin = function() {
	try {
		if ((Kitmap.win != null) && (!Kitmap.win.closed)) {
			Kitmap.win.close();
		}
	}
	catch (ex) {
	}
	Kitmap.win = null;
};

Kitmap.openWin = function(url, width, height) {
	Kitmap.closeWin();
	var left = Math.round((window.screen.availWidth - width) / 2);
	var feat = 'width=' + width + ',height=' + height + ',left=' + left
		+ ',top=0,menubar=no,toolbar=no,location=no,status=no,scrollbars=no,resizable=yes';
	Kitmap.win = window.open(url, '_blank', feat);
};

Kitmap.cookieToSearch = function() {
	var s = '?' + location.search.substr(1);
	var p = document.cookie.split('; ');
	for (var i = 0; i < p.length; i++) s += '&' + p[i];
	return s;
};

Kitmap.writeSwf = function(movie, width, height) {
	var html =
		'<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"' +
		' codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0"' +
		' width="' + width + '" height="' + height + '">' +
		'<param name="movie" value="' + movie + '" />' +
		'<param name="loop" value="false" />' +
		'<param name="menu" value="false" />' +
		'<param name="quality" value="high" />' +
		'<param name="bgcolor" value="#FFFFFF" />' +
		'<embed src="' + movie + '"' +
		' loop="false" menu="false" quality="high" bgcolor="#FFFFFF" width="' + width + '" height="' + height + '"' +
		' type="application/x-shockwave-flash"' +
		' pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">' +
		'</embed>' +
		'</object>';
	document.write(html);
};

Kitmap.writeFrontSwf = function() {
	Kitmap.writeSwf(KM_FRONT_MOVIE_NAME + Kitmap.cookieToSearch(), KM_FRONT_MOVIE_WIDTH, KM_FRONT_MOVIE_HEIGHT);
};

Kitmap.open = function() {
	var url = KM_FRONT_URL;
	if (arguments.length > 0) url += '?pid=' + arguments[0];
	Kitmap.openWin(url, KM_FRONT_WIDTH, KM_FRONT_HEIGHT);
};

Kitmap.openWorks = function() {
	var url = KM_FRONT_URL + '?_enableWorksAtZoom1=true';
	if (arguments.length > 0) url += '&pid=' + arguments[0];
	Kitmap.openWin(url, KM_FRONT_WIDTH, KM_FRONT_HEIGHT);
}
